ProgramGroupHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: ProgramGroupHandle

# Interface ProgramGroupHandle

All Superinterfaces:
  `FormComponentHandle`

public interface ProgramGroupHandle extends FormComponentHandle
Handle for the "Program group selector" form component. The principal Swing widget is the program-group name `JTextField`. Used on Windows installations to pick the start menu group.

Reach this handle via `ScreenHandle.programGroup()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProgramGroupHandle`
  `assertDisabled()`
  `ProgramGroupHandle`
  `assertEnabled()`
  `ProgramGroupHandle`
  `assertInvisible()`
  `ProgramGroupHandle`
  `assertProgramGroup(String expected)`
  Assert the current program group name equals the expected value.
  `ProgramGroupHandle`
  `assertVisible()`
  `String`
  `getProgramGroup()`
  The currently entered program group name.
  `boolean`
  `isAllUsers()`
  Whether the form component creates the group for all users or just the current user.
  `ProgramGroupHandle`
  `setProgramGroup(String name)`
  Set the program group name.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getProgramGroup

    @NotNull String getProgramGroup()
    The currently entered program group name.

  - ### setProgramGroup

    @NotNull ProgramGroupHandle setProgramGroup(@NotNull String name)
    Set the program group name.

  - ### isAllUsers

    boolean isAllUsers()
    Whether the form component creates the group for all users or just the current user.

  - ### assertProgramGroup

    @NotNull ProgramGroupHandle assertProgramGroup(@NotNull String expected)
    Assert the current program group name equals the expected value.

  - ### assertEnabled

    @NotNull ProgramGroupHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull ProgramGroupHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull ProgramGroupHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull ProgramGroupHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`